<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/vectors/include/vec2.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('vec2_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">vec2.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="vec2_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 2/21/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_VEC2_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_VEC2_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifdef VEC2_IMPORT</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="vec2_8h.html#a77366c1bd428629dc898e188bfd182a3">   11</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">   14</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_v_e_c2.html">VEC2</a> <a class="code" href="struct_v_e_c2.html">Vec2Class</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="struct_v_e_c2.html">   16</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_v_e_c2.html">VEC2</a> {</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="struct_v_e_c2.html#a0399eb78125961fc22085d4aac6b0d15">   17</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">class</span>; <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_v_e_c2.html#af88b946fb90d5f08b5fb740c70e98c10">   18</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="struct_v_e_c2.html#af88b946fb90d5f08b5fb740c70e98c10">x</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_v_e_c2.html#ab927965981178aa1fba979a37168db2a">   19</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="struct_v_e_c2.html#ab927965981178aa1fba979a37168db2a">y</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;};</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="vec2_8h.html#ae249704e052a7d407ee6cbbd8e9db506">   22</a></span>&#160;<a class="code" href="vec2_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="vec2_8h.html#ae249704e052a7d407ee6cbbd8e9db506">Vec2</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#undef VEC2_IMPORT</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_VEC2_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_v_e_c2_html_ab927965981178aa1fba979a37168db2a"><div class="ttname"><a href="struct_v_e_c2.html#ab927965981178aa1fba979a37168db2a">VEC2::y</a></div><div class="ttdeci">double y</div><div class="ttdef"><b>Definition:</b> vec2.h:19</div></div>
<div class="ttc" id="astruct_v_e_c2_html"><div class="ttname"><a href="struct_v_e_c2.html">VEC2</a></div><div class="ttdef"><b>Definition:</b> vec2.h:16</div></div>
<div class="ttc" id="astruct_v_e_c2_html_af88b946fb90d5f08b5fb740c70e98c10"><div class="ttname"><a href="struct_v_e_c2.html#af88b946fb90d5f08b5fb740c70e98c10">VEC2::x</a></div><div class="ttdeci">double x</div><div class="ttdef"><b>Definition:</b> vec2.h:18</div></div>
<div class="ttc" id="avec2_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="vec2_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> vec2.h:11</div></div>
<div class="ttc" id="avec2_8h_html_ae249704e052a7d407ee6cbbd8e9db506"><div class="ttname"><a href="vec2_8h.html#ae249704e052a7d407ee6cbbd8e9db506">Vec2</a></div><div class="ttdeci">const EXTERN void * Vec2</div><div class="ttdef"><b>Definition:</b> vec2.h:22</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_89bdf067371fcc05d61731882aedfe8c.html">vectors</a></li><li class="navelem"><a class="el" href="dir_fb7a5df2649ea5473d39753942f36db6.html">include</a></li><li class="navelem"><a class="el" href="vec2_8h.html">vec2.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
